Name:           maven-license-plugin
Version:        1.9.0
Release:        %mkrel 4
Summary:        Maven plugin to update header licenses of source files

Group:          Development/Java 
License:        ASL 2.0
URL:            http://code.google.com/p/maven-license-plugin
### upstream only provides binaries or source without build scripts
# tar creation instructions
# svn export http://maven-license-plugin.googlecode.com/svn/tags/maven-license-plugin-1.9.0 maven-license-plugin
# tar cfJ maven-license-plugin-1.9.0.tar.xz maven-license-plugin 
Source0:        %{name}-%{version}.tar.xz
# custom depmap needed to workaround missing xml-commons-apis poms
#Source1:        maven-license-plugin-jpp-depmap.xml
# remove testng dep (tests are skipped) and maven-license-plugin call
# add maven 3 support
Patch0:         maven-license-plugin-1.9.0-fixbuild.patch

BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
# pom BR
BuildRequires:  mycila-parent-pom
BuildRequires:  apache-resource-bundles
BuildRequires:  maven
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  plexus-utils
BuildRequires:  xmltool
# old BR
BuildRequires:  maven-changelog-plugin
BuildRequires:  maven-changes-plugin
BuildRequires:  maven-eclipse-plugin
BuildRequires:  maven-help-plugin
BuildRequires:  maven-idea-plugin
BuildRequires:  maven-plugin-testing-harness
BuildRequires:  maven-pmd-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-repository-plugin
BuildRequires:  maven-shared
BuildRequires:  maven-site-plugin
BuildRequires:  plexus-classworlds
BuildRequires:  xml-commons-apis

Requires:       java 
Requires:       jpackage-utils
Requires:       maven
Requires:       mycila-parent-pom
Requires:       xmltool

%description
maven-license-plugin is a Maven 2 plugin that help you managing license 
headers in source files. Basically, when you are developing a project 
either in open source or in a company, you often need to add at the top 
of your source files a license to protect your work. 
This plugin lets you maintain the headers, including checking if the 
header is present, generating a report and of course having the 
possibility to update / reformat missing license headers. 

%files
%doc NOTICE.txt LICENSE.txt
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils
BuildArch:      noarch

%description javadoc
This package contains the API documentation for %{name}.

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}

%patch0 -p0

# fix EOL
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' NOTICE.txt

%build

mvn-rpmbuild -e -Dmaven.test.skip=true install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -Dp -m 644 target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/  $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar



%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 1.9.0-4.mga4
+ Revision: 565265
- Rebuild against fixed maven-eclipse-plugin

* Fri Oct 18 2013 umeabot <umeabot> 1.9.0-3.mga4
+ Revision: 507764
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.9.0-2.mga3
+ Revision: 359700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 dmorgan <dmorgan> 1.9.0-1.mga2
+ Revision: 192812
- Remove old maven macros

  + gil <gil>
    - update to 1.9.0

* Thu Apr 28 2011 dmorgan <dmorgan> 1.8.0-4.mga1
+ Revision: 92710
- Rebuild after bootstrapping
- imported package maven-license-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 17 2010 Guido Grazioli <guido.grazioli@gmail.com> - 1.8.0-2
- Add missing Requires and update BuildRequires
- Fix macro usage

* Sat Oct 02 2010 Guido Grazioli <guido.grazioli@gmail.com> - 1.8.0-1
- Upstream version 1.8.0

* Sat May 08 2010 Guido Grazioli <guido.grazioli@gmail.com> - 1.6.1-1
- Initial packaging
